Bug 994755 - [abrt] mate-menu-editor-1.6.0-1.fc19: expatbuilder.py:211:parseFile:ExpatError: no element found: line 1, column 0
[abrt] mate-menu-editor-1.6.0-1.fc19: expatbuilder.py:211:parseFile:ExpatErro...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mate-menu-editor (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:e877e4631398f5f734649128951...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 21:01 EDT by Neil
Modified: 2013-08-10 08:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-10 08:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2013-08-07 21:01 EDT, Neil
no flags Details
File: environ (1.50 KB, text/plain)
2013-08-07 21:01 EDT, Neil
no flags Details

  None (edit)
Description Neil 2013-08-07 21:01:17 EDT
Version-Release number of selected component:
mate-menu-editor-1.6.0-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/mozo
dso_list:       python-libs-2.7.5-3.fc19.x86_64
executable:     /usr/bin/mozo
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
expatbuilder.py:211:parseFile:ExpatError: no element found: line 1, column 0

Traceback (most recent call last):
  File "/usr/bin/mozo", line 36, in <module>
    main()
  File "/usr/bin/mozo", line 32, in main
    app = MainWindow(datadir, version, sys.argv)
  File "/usr/lib/python2.7/site-packages/Mozo/MainWindow.py", line 48, in __init__
    self.editor = MenuEditor()
  File "/usr/lib/python2.7/site-packages/Mozo/MenuEditor.py", line 36, in __init__
    self.__loadMenus()
  File "/usr/lib/python2.7/site-packages/Mozo/MenuEditor.py", line 48, in __loadMenus
    self.applications.dom = xml.dom.minidom.parse(self.applications.path)
  File "/usr/lib64/python2.7/xml/dom/minidom.py", line 1921, in parse
    return expatbuilder.parse(file)
  File "/usr/lib64/python2.7/xml/dom/expatbuilder.py", line 924, in parse
    result = builder.parseFile(fp)
  File "/usr/lib64/python2.7/xml/dom/expatbuilder.py", line 211, in parseFile
    parser.Parse("", True)
ExpatError: no element found: line 1, column 0

Local variables in innermost frame:
buffer: ''
self: <xml.dom.expatbuilder.ExpatBuilderNS instance at 0x25d4cf8>
parser: <pyexpat.xmlparser object at 0x25e5360>
file: <closed file '/home/duff/.config/menus/mate-applications.menu', mode 'rb' at 0x252fed0>
first_buffer: True
Comment 1 Neil 2013-08-07 21:01:21 EDT
Created attachment 784180 [details]
File: backtrace
Comment 2 Neil 2013-08-07 21:01:25 EDT
Created attachment 784181 [details]
File: environ
Comment 3 Wolfgang Ulbrich 2013-08-09 19:26:04 EDT
Can you attach your /home/duff/.config/menus/mate-applications.menu?
And pls describe a little more detailed what happend?
Did this issue occurs frequently ?
Comment 4 Neil 2013-08-09 22:46:59 EDT
I really sorry, but I can't, I saw that not even reinstalling MATE and removing mintMenu fix the problem and for me was more easy reinstall the whole system, the bug appeared when I installed MintMenu, activate composite, applied a Greybird theme and restarting the X server (cause mintMenu needed), then I saw that not even in the default menu appeared the software list, neither in the mintMenu, if I can remember an error box appeared with the mintMenu dir (/usr/share/linuxmint/mintMenu/Applications.list) and others, but not sure what directions was, sorry, I tried to reply the bug before put my files back from a backup partition, but nothing happened, I installed themes, activate composite, even installed Compiz, I doesn't use compiz but I wanted to see if that bug happen again, but my Mate desktop is solider than ever.
Comment 5 Wolfgang Ulbrich 2013-08-10 08:52:36 EDT
Thank for infos.
Normaly mintmenu doesn't need a restart of X. Some times and very rare it doesn't displayed in the panel well if using compiz on my system.
In this case i did a 'killall mate-panel' to restart the panel.
Anyway, i close this issue with insufficient data, for don't blocking the report for abrt.
Feel free to report here if it happens again, i will reopen the issue than.

Note You need to log in before you can comment on or make changes to this bug.